MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002602VCMILauncherpublic2016-11-11 20:212017-08-23 23:35
Reporterjavalor 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformMacOSmacOS SierraOS Version10.12.1
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0002602: Cannot Run VCMI after building on macOS
DescriptionAfter following all the directions on the VCMI website, and building the file (after the steps: cd build, make -j4) and the download completed and I get this error after the next steps:

build "mydrive"$ cd ..
vcmi "mydrive"$ bin/vcmiclient.app/Contents/MacOS/vcmiclient
-bash: bin/vcmiclient.app/Contents/MacOS/vcmiclient: No such file or directory

with this preceding it from the previous step (make -j4):

[100%] Linking CXX executable ../../bin/vcmiclient.app/Contents/MacOS/vcmiclient
ld: warning: direct access in function 'void BinaryDeserializer::load<Bonus>(std::__1::shared_ptr<Bonus>&)' from file 'CMakeFiles/vcmiclient.dir/Client.cpp.o' to global weak symbol 'typeinfo name for std::__1::shared_ptr<Bonus>' from file 'CMakeFiles/vcmiclient.dir/CMT.cpp.o' means the weak symbol cannot be overridden at runtime. This was likely caused by different translation units being compiled with different visibility settings.
ld: warning: direct access in function 'std::__1::shared_ptr<Bonus> boost::any_cast<std::__1::shared_ptr<Bonus> >(boost::any&)' from file 'CMakeFiles/vcmiclient.dir/Client.cpp.o' to global weak symbol 'typeinfo name for std::__1::shared_ptr<Bonus>' from file 'CMakeFiles/vcmiclient.dir/CMT.cpp.o' means the weak symbol cannot be overridden at runtime. This was likely caused by different translation units being compiled with different visibility settings.
ld: warning: direct access in function 'std::__1::shared_ptr<Bonus> boost::any_cast<std::__1::shared_ptr<Bonus> >(boost::any&)' from file 'CMakeFiles/vcmiclient.dir/Client.cpp.o' to global weak symbol 'typeinfo name for std::__1::shared_ptr<Bonus>' from file 'CMakeFiles/vcmiclient.dir/CMT.cpp.o' means the weak symbol cannot be overridden at runtime. This was likely caused by different translation units being compiled with different visibility settings.
ld: warning: direct access in function 'boost::any::holder<std::__1::shared_ptr<Bonus> >::type() const' from file 'CMakeFiles/vcmiclient.dir/Client.cpp.o' to global weak symbol 'typeinfo for std::__1::shared_ptr<Bonus>' from file 'CMakeFiles/vcmiclient.dir/CMT.cpp.o' means the weak symbol cannot be overridden at runtime. This was likely caused by different translation units being compiled with different visibility settings.
cp: /Users/"mydrive"/vcmi/osx/vcmibuilder.app: No such file or directory
make[2]: *** [../bin/vcmiclient.app/Contents/MacOS/vcmiclient] Error 1
make[2]: *** Deleting file `../bin/vcmiclient.app/Contents/MacOS/vcmiclient'
make[1]: *** [client/CMakeFiles/vcmiclient.dir/all] Error 2
make: *** [all] Error 2

Any idea whats going on and why it can not find/run the file?
Steps To ReproduceFollow all the steps listed on: http://wiki.vcmi.eu/index.php?title=How_to_build_VCMI_(OS_X) [^]

Error occurs on last line: bin/vcmiclient.app/Contents/MacOS/vcmiclient
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006903)
vmarkovtsev (developer)
2016-11-12 13:47

Please checkout 0.99 release (not develop branch). Most likely non-macos guys broke the build.
(0006904)
vmarkovtsev (developer)
2016-11-12 13:55

Yep, just checked it. Lots of warnings because of newly added crappy code, total disaster and nothing works as intended. I am sorry, have no mental strength to deal with it right now.
(0006905)
javalor (reporter)
2016-11-12 18:36

no worries at all I understand. anything I can do to play on a Mac then? as the download for the 0.99 release only runs on pc
(0006906)
vmarkovtsev (developer)
2016-11-12 19:12

Why do you think so? I successfully played 0.99 on my mac.

git clone --depth=1 -b 0.99 https://github.com/vcmi/vcmi.git [^]

and voila
(0006908)
javalor (reporter)
2016-11-13 22:26

Hey thanks so much for help. I am very close to getting it running, but now have encountered the problem when running commmand "bin/vcmiclient.app/Contents/MacOS/vcmiclient"

I get this error: "The resource could not be loaded because the App Transport Security policy requires the use of a secure connection."

what should I do to overcome this? to install it I am using a PC game executable setup file from gog.com named "setup_homm3_complete_2.0.0.16.exe"

Thanks so much for the help! Love the game and have been searching for a way to play it on Mac for years.
(0006909)
javalor (reporter)
2016-11-14 00:21

After looking around online I found this:

 http://stackoverflow.com/questions/32631184/the-resource-could-not-be-loaded-because-the-app-transport-security-policy-requi [^]

I tried editing the code myself under these instructions but am still getting the error.
(0007232)
SXX (administrator)
2017-08-23 23:35

VCMI now provide working DMG for macOS again.

I removed Sparkle for now as well as additional vcmibuilder so assets need to be manually installed.

- Issue History
Date Modified Username Field Change
2016-11-11 20:21 javalor New Issue
2016-11-11 20:21 javalor Status new => assigned
2016-11-11 20:21 javalor Assigned To => Ivan
2016-11-12 10:22 SXX Assigned To Ivan => vmarkovtsev
2016-11-12 13:47 vmarkovtsev Note Added: 0006903
2016-11-12 13:55 vmarkovtsev Note Added: 0006904
2016-11-12 18:36 javalor Note Added: 0006905
2016-11-12 19:12 vmarkovtsev Note Added: 0006906
2016-11-13 22:26 javalor Note Added: 0006908
2016-11-14 00:21 javalor Note Added: 0006909
2017-07-22 14:11 SXX Assigned To vmarkovtsev => SXX
2017-08-23 23:35 SXX Note Added: 0007232
2017-08-23 23:35 SXX Status assigned => resolved
2017-08-23 23:35 SXX Fixed in Version => 0.next
2017-08-23 23:35 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean